Subject: Re: [RESEND PATCH v5] net: bonding: Add support for IPV6 ns/na to balance-alb/balance-tlb mode

From: Jay Vosburgh <[email-masked]>
Date: Sun, 16 Jan 2022 18:02:11 -0800

孙守鑫 <[email-masked]> wrote:
[...]
>> 	As for the RLB functionality (i.e., the balance-alb remote to
>> local load balance), that is not implemented for IPv6 and this patch is
>> not providing an implementation of the RLB logic for IPv6, so I'm
>> unclear why you expect it to work, or what the "mismatch Bond6
>> specification" is.
>>
>> 	To be clear, implementing RLB for IPv6 would include what this
>> patch is doing (adjusting the content of NS/NA datagrams), but a
>> complete implementation requires additional logic that isn't here, e.g.,
>> adding IPv6 logic to the RLB rebalance code, connecting NS/NA
>> manipulation to rlb_choose_channel(), and likely other things that don't
>> come immediately to mind.
>>
>> 	In summary, it sounds to me like the actual bug originally
>> reported (with the now-omitted diagram) would be resolved by assigning
>> NS/NA datagrams to the curr_active_slave, and supporting RLB for IPv6 is
>> a larger project than what's provided by this patch.  Am I understanding
>> correctly?
>
>
>Thanks your comment.
>For the simplify, I would like to resolve the inconsistent mac at first by
>assigning NS/NA datagrams to the curr_active_slave by V6 soon.
>Supporting RLB for IPv6, it looks like hard a bit and I wonder if we can
>resolve it in another patch？
>any comments?

	I'm in agreement that the first step should be solving the
immediate TLB NS/NA problem, and the larger task of implementing RLB for
IPv6 can be done separately.

	-J

---
	-Jay Vosburgh, [email-masked]